/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/res.h: resolver header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: res.h,v 1.13 2004/02/27 01:49:22 rageircd Exp $
 */

#ifndef	__res_include__
#define	__res_include__

extern void dns_delete_queries(DNSQuery *);
extern int init_resolver();
extern void restart_resolver();
extern void dns_read(int, void *);
extern void dns_write(int, void *);
extern int dns_gethost(const char *, DNSQuery *);
extern int dns_getaddr(struct in_addr *, DNSQuery *);
extern void report_dns_nameservers(aClient *);

#endif /* __res_include__ */
