[Setup]
AppName=RageIRCd
AppVerName=RageIRCd v2.0 beta-5
AppPublisher=RageIRCd
AppPublisherURL=http://rageircd.sourceforge.net
AppSupportURL=http://rageircd.sourceforge.net
AppUpdatesURL=http://rageircd.sourceforge.net
AppMutex=RageIRCdMutex,Global\RageIRCdMutex
DefaultDirName={pf}\RageIRCd 2.0 beta-5
DefaultGroupName=RageIRCd 2.0 beta-5
LicenseFile=Package\doc\LICENSE.txt
Compression=lzma
SolidCompression=yes
UninstallDisplayIcon={app}\Manager.exe
OutputDir=.

[Files]
Source: "Package\*.exe*"; DestDir: "{app}"; Flags: ignoreversion
Source: "Package\*.dll"; DestDir: "{app}"
Source: "Package\*.ocx"; DestDir: "{app}"
Source: "Package\Read Me.txt"; DestDir: "{app}"; Flags: isreadme
Source: "Package\doc\*"; DestDir: "{app}\doc"
Source: "Package\doc\authors\*"; DestDir: "{app}\doc\authors"
Source: "Package\doc\technical\*"; DestDir: "{app}\doc\technical"

[Dirs]
Name: "{app}\logs"

[Icons]
Name: "{group}\Server Manager"; Filename: "{app}\Manager.exe"; WorkingDir: "{app}"
Name: "{group}\Config Editor"; Filename: "{app}\Editor.exe"; WorkingDir: "{app}"
Name: "{group}\Docs\Read Me"; Filename: "{app}\Read Me.txt"; WorkingDir: "{app}"
Name: "{group}\Docs\Release Notes"; Filename: "{app}\doc\RELEASE.NOTES.txt"; WorkingDir: "{app}"
Name: "{group}\Docs\Changes"; Filename: "{app}\doc\Changes.txt"; WorkingDir: "{app}"
Name: "{group}\Docs\All Documents"; Filename: "{app}\doc"; WorkingDir: "{app}"
Name: "{group}\Uninstall RageIRCd"; Filename: "{uninstallexe}"; WorkingDir: "{app}"

